Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.Form.Component.Textarea

    Object
       |
       +--jala.Form.Component.Input
             |
             +--jala.Form.Component.Textarea

class jala.Form.Component.Textarea
extends jala.Form.Component.Input

Subclass of jala.Form.Component.Input which renders and validates a textarea input field.
Defined in Form.js

Constructor Summary
`jala.Form.Component.Textarea (<String> name)` Constructs a new Textarea component.

Method Summary
`void` | `renderControls(<Object> attr, <Object> value, <Object> reqData)` Renders a textarea input field to the response.

Methods inherited from class jala.Form.Component.Input
`validate, save, getValue, setValue, render, renderError, renderLabel, renderHelp, render_macro, controls_macro, error_macro, label_macro, help_macro, id_macro, name_macro, type_macro, class_macro, getControlAttributes, checkLength, checkRequirements, parseValue`

Constructor Detail

### jala.Form.Component.Textarea

    jala.Form.Component.Textarea(<String> name)

Constructs a new Textarea component.

Parameters:

`name` - Name of the component, used as name of the html controls.

Returns:

A newly created Textarea component instance

Method Detail

### renderControls

    void renderControls(<Object> attr, <Object> value, <Object> reqData)

Renders a textarea input field to the response.

Parameters:

`attr` - Basic attributes for this element.

`value` - Value to be used for rendering this element.

`reqData` - Request data for the whole form. This argument is passed only if the form is re-rendered after an error occured.

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008